<?xml version="1.0" encoding="utf-8"?>
<MUPDefinition xsi:schemaLocation="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd mupdefinition.xsd" xmlns="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <packageinformation>
    <name>SGX PSW exe</name>
    <version>1.7.102.37526</version>
    <installertype>msi</installertype>
    <packagegrouping>pair_driver_and_application</packagegrouping>
    <packagingtype>zip</packagingtype>
    <releasetype>DRVR</releasetype>
    <mupspecificationversion>2.4.3</mupspecificationversion>
    <supportedoperatingsystems>
      <osidentifier name="Windows7" architecture="x64" />
      <osidentifier name="Windows8.1" architecture="x64" />
      <osidentifier name="Windows10" architecture="x64" />
    </supportedoperatingsystems>
    <content>
      <Device componentID="16047">
        <Image type="APP" version="1.7.102.37526">
          <file>Intel(R)_SGX_Windows_x64_PSW_1.7.102.37526.exe</file>
        </Image>
      </Device>
      <Device componentID="16047">
        <PCIInfo vendorID="8086" deviceID="0E0C" subDeviceID="0252" subVendorID="1028" />
        <PCIInfo vendorID="8086" deviceID="0E0C" subDeviceID="0432" subVendorID="1028" />
        <Image type="DRVR" version="1.6.80.31049">
          <file>production\Windows7-x64\sgx_driver.sys</file>
          <file>production\Windows7-x64\sgx_driver.inf</file>
          <file>production\Windows7-x64\sgx_driver.cat</file>
        </Image>
        <Image type="DRVR" version="1.6.80.31049">
          <file>production\Windows8.1-x64\sgx_driver.sys</file>
          <file>production\Windows8.1-x64\sgx_driver.inf</file>
          <file>production\Windows8.1-x64\sgx_driver.cat</file>
        </Image>
        <Image type="DRVR" version="1.6.80.31049">
          <file>production\Windows10-x64\sgx_driver.sys</file>
          <file>production\Windows10-x64\sgx_driver.inf</file>
          <file>production\Windows10-x64\sgx_driver.cat</file>
        </Image>
      </Device>
    </content>
  </packageinformation>
  <executable timeout="300" architecture="x64">
    <executablename>Intel(R)_SGX_Windows_x64_PSW_1.7.102.37526.exe</executablename>
    <requiredparameters>
      <commandlineparameter>--a</commandlineparameter>
    </requiredparameters>
  </executable>
  <behaviors>
    <behavior name="attended" />
    <behavior name="unattended">
      <vendoroption>
        <optionvalue requiresvalue="false" switch=" ">install</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">eula=accept</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="extractdrivers">
      <vendoroption>
        <optionvalue requiresvalue="false" switch=" ">install</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">eula=accept</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue switch="--" requiresvalue="true" valuedelimiter="=">extractdriver</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="freshinstall">
      <vendoroption>
        <optionvalue requiresvalue="false" switch=" ">install</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">eula=accept</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">freshinstall</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="driveronly">
      <vendoroption>
        <optionvalue requiresvalue="false" switch=" ">install</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">eula=accept</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">driveronly</optionvalue>
      </vendoroption>
    </behavior>
    <behavior name="applicationonly">
      <vendoroption>
        <optionvalue requiresvalue="false" switch=" ">install</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">eula=accept</optionvalue>
      </vendoroption>
      <vendoroption>
        <optionvalue requiresvalue="false" switch="--">applicationonly</optionvalue>
      </vendoroption>
    </behavior>
  </behaviors>
  <parameters>
    <parametermapping name="logfile">
      <vendoroption>
        <optionvalue switch="--" requiresvalue="true" valuedelimiter="=">output</optionvalue>
      </vendoroption>
    </parametermapping>
  </parameters>
  <returncodes>
    <returncodemapping name="SUCCESS">
      <vendorreturncode>0</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="ERROR">
      <vendorreturncode>1001</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="REBOOT_REQUIRED">
      <vendorreturncode>3010</vendorreturncode>
    </returncodemapping>
    <returncodemapping name="UNKNOWN_OPTION">
      <vendorreturncode>1608</vendorreturncode>
    </returncodemapping>
  </returncodes>
  <inventorymetadata>
    <extractdriversidentifier>
      <pnpids>
        <pnpdevice display="Software Guard Extensions Device" componentID="16047">
          <pciinfo vendorID="8086" deviceID="0E0C" subDeviceID="0252" subVendorID="1028" />
        </pnpdevice>
      </pnpids>
    </extractdriversidentifier>
    <fullpackageidentifier>
      <msis>
        <msi componentID="16047">
          <upgradecode>{EEE2D917-B2B7-4C7F-969B-F80491E1E0C3}</upgradecode>
          <version>1.7.102.37526</version>
        </msi>
      </msis>
    </fullpackageidentifier>
  </inventorymetadata>
</MUPDefinition>
